ceph (20.2.1-0ubuntu1) stonking; urgency=medium

  * New upstream point release (LP: #2151199)
  * d/p/*: Refresh.
  * d/p/boost-resolute-fix.patch: Add fix for RGW crash (LP: #2154304)
  * d/p/cephadm-pyo3-fix.patch: Fix issue with pyo3 and cephadm (LP: #2150762)
  * d/p/fix-ceph-volume-argparse.patch: Fix issue with ceph-volume argument parsing.
  * d/p/cephadm-id-fix.patch: Fix expected UID/GID for cephadm (LP: #2152460)
  * d/p/pyo3-fix.patch: Removed, no longer needed.
  * d/p/CVE-2024-31884.patch: Removed, no longer needed.
  * d/p/snapshot-upgrade-fix.patch: Removed, no longer needed
  * d/control: Update dependencies for cephadm (LP: #2150665)
  * d/crimson-osd.install: Removed, no longer needed.
  * d/libsqlite3-mod-ceph.symbols: New file with debug symbols.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Mon, 28 Apr 2026 20:04:03 -0300

ceph (20.2.0-0ubuntu2) resolute; urgency=medium

  * SECURITY UPDATE: Improper certificate checking via Pybind
    - debian/patches/CVE-2024-31884.patch: Enforce ssl context validation to
      SMTP_SSL in src/pybind/mgr/alerts/module.py
    - CVE-2024-31884
  * SECURITY UPDATE: Denial of service by passing empty header argument
    - debian/patches/CVE-2024-47866.patch: Ensure `HTTP_X_AMZ_COPY_SOURCE`
      header is empty in src/rgw/rgw_op.cc
    - CVE-2024-47866

 -- Shafayat Hossain Majumder <shafayat.majumder@canonical.com>  Fri, 13 Mar 2026 13:24:53 -0400

ceph (20.2.0-0ubuntu1) resolute; urgency=medium

  * New upstream stable release (LP: #2139385).
  * d/p/*: Refresh.
  * d/p/mgr-distutils.patch: Removed, no longer needed.
  * d/p/boost-url.patch: Removed, no longer needed.
  * d/p/lp2080208.patch: Removed, no longer needed.
  * d/p/py313-compat/*: Removed, no longer needed.
  * d/p/remove-uadk.patch: Don't use UADK on aarch64.
  * d/p/boost-resolute-fix.patch: Workaround for Boost 1.90.
  * d/p/systemd-resolute-fix.patch: Hardcode systemd directories.
  * d/control: Fix dependencies for Boost 1.90.
  * d/rules: Export cmake env-var for compatibility with cmake>3.
  * d/ceph-base.install: Add the ceph-diff-sorted binary.
  * d/ceph-mgr-modules-core.install: Remove the restful and zabbix binaries.
  * d/ceph-osd.install: Remove the ceph-osdomaptool binary.
  * d/crimson-osd.install: Removed, no longer used.
  * d/radosgw.install: Add the rgw-orphan-list binary.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Mon, 23 Feb 2026 19:04:03 -0300

ceph (19.2.3-0ubuntu8) resolute; urgency=medium

  * Stop using the boost system package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2026 22:42:24 +0100

ceph (19.2.3-0ubuntu7) resolute; urgency=medium

  * Use unversioned build dependency on libboost-process-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2026 22:17:49 +0100

ceph (19.2.3-0ubuntu6) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:22:02 +0100

ceph (19.2.3-0ubuntu5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 23 Jan 2026 14:41:31 +0000

ceph (19.2.3-0ubuntu4) resolute; urgency=medium

  * d/clean: Remove entries added in 19.2.3 SRU to fix regression
    in rendering ceph-mgr-dashboard due to missing JavaScript
    files. (LP: #2134985)

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 18 Dec 2025 15:06:37 +1300

ceph (19.2.3-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 13:02:02 +0100

ceph (19.2.3-0ubuntu2) resolute; urgency=medium

  * d/control: remove dependency on libnbd-dev.
  * d/p/patch-out-libnbd.patch: build without libnbd.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Wed, 22 Oct 2025 22:52:04 -0300

ceph (19.2.3-0ubuntu1) questing; urgency=medium

  * New upstream stable release (LP: #2119024)
  * d/control: Update dependencies.
  * d/rules: Enable LTTNG.
  * d/p/pyo3-fix.patch: Fix issues with PyO3.
  * d/p/questing-boost-fix.patch: Fix issues with Boost on Questing.
  * d/p/ceph-exporter-systemd.patch: Removed, no longer needed.
  * d/ppy313-compat/0006-mgr-allow-specifying-module-option-level.patch: Removed, no longer needed.
  * d/p/CVE-2024-48916.patch: Removed, no longer needed.
  * No-change backport to questing.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Tue, 23 Sep 2025 23:27:53 +0000

ceph (19.2.1-0ubuntu4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:27:02 +0200

ceph (19.2.1-0ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 06:57:48 +0200

ceph (19.2.1-0ubuntu2) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:32:29 -0400

ceph (19.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream stable release (LP: #2097605).
  * d/p/snapshot-upgrade-fix.patch: Fix upgrade crashing (LP: #2089565).
  * d/p/dout-fix.patch: remove, unnecessary for new point release.
  * d/p/fix-cephadm-build.patch: update for new point release.

 -- Peter Sabaini <peter.sabaini@canonical.com>  Thu, 06 Mar 2025 10:05:00 +0100

ceph (19.2.0-0ubuntu6) plucky; urgency=medium

  * SECURITY UPDATE: Authentication bypass through unsupported JWT algorithm.
    - debian/patches/CVE-2024-48916.patch: Disallow unsupported JWT algorithms
      in src/rgw/rgw_rest_sts.cc.
    - CVE-2024-48916

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 13 Jan 2025 16:54:36 -0330

ceph (19.2.0-0ubuntu5) plucky; urgency=medium

  * d/gbp.conf: Set packaging branch to ubuntu/plucky.
  * d/p/py313-compat/*.patch: Cherry pick fixes from upstream main
    branch to resolve compatibility issues with Python 3.13.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jan 2025 13:45:36 +0000

ceph (19.2.0-0ubuntu4) plucky; urgency=medium

  * Build-depend on cython3 instead of cython3-legacy.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 11:49:00 +0100

ceph (19.2.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:44:05 +0100

ceph (19.2.0-0ubuntu2) oracular; urgency=medium

  * d/p/pass-build-flags.patch: Pass buildflags to Python extensions
    (LP: #2078244).

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Oct 2024 15:16:31 +0000

ceph (19.2.0-0ubuntu1) oracular; urgency=medium

  * New upstream stable release (LP: #2081781).

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Sat, 28 Sep 2024 08:23:29 +0100

ceph (19.2.0~rc2-0ubuntu2) oracular; urgency=medium

  * d/p/lp2080208.patch: Cherry pick proposed fix for compatibility with
    newer versions of importlib-metadata (LP: #2080208).

 -- James Page <james.page@ubuntu.com>  Thu, 12 Sep 2024 10:22:36 +0100

ceph (19.2.0~rc2-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate for Ceph Squid (LP: #2065515).
  * d/p/qat-supported-archs.patch: Drop, equivalent upstream.
  * d/p/snapmapper-c++23-compat.patch: Drop, included in release.
  * d/p/*: Refresh.
  * d/control: pkg-config -> pkgconf.
  * d/control: Add missing misc:Depends to cephadm package.
  * d/s/lintian-overrides: Update pattern match for license problem.
  * d/copyright: Fix misc formatting issues.
  * d/p/patch-out-exporter.patch: Remove, not used.
  * d/control,compat: Use modern debhelper-compat.

 -- James Page <james.page@ubuntu.com>  Tue, 03 Sep 2024 09:29:21 +0100

ceph (19.2.0~is.really.19.1.0-0ubuntu2) oracular; urgency=medium

  * d/p/dout-fix.patch: Fix build issues with gcc-14.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Fri, 26 Jul 2024 13:55:13 +0000

ceph (19.2.0~is.really.19.1.0-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate (LP: #2065515):
    - d/p/patch-out-exporter.patch: Drop, enable exporter.
    - d/p/fix-qat-build.patch: Drop, equivalent upstream.
    - d/p/*: Refresh.
    - d/p/boost-url.patch,control: Fix compatibility with Boost >= 1.83.
    - d/p/qat-supported-archs.patch: Only enable QAT on amd64
      architecture.
    - d/p/*: Drop patches no longer in-use.
    - d/control,ceph-exporter.install: Enable ceph-exporter binary
      package.
    - d/p/ceph-exporter-systemd.patch: Cherry pick commit for ceph-
      exporter systemd configuration.
    - d/p/{snapmapper,logentry}-c++23-compat.patch: Cherry pick fixes for
      C++23 compatibility.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jul 2024 05:15:39 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu7) oracular; urgency=medium

  [ Luciano Lo Giudice]
  * d/control: Add python3-{packaging,ceph-common} to (Build-)Depends
    as these are undocumented/detected runtime dependencies in
    ceph-volume (LP: #2064717).

  [ James Page ]
  * d/cephadm.install: Install cephadmlib Python module which the
    cephadm script uses (LP: #2063456).
  * d/control: cephadm linux-any -> all.
  * d/gbp.conf: Update for ubuntu/oracular packaging branch.
  * d/control: Update Vcs-* to point to Launchpad for Ubuntu packaging.
  * d/p/mgr-distutils.patch: Directly use vendored distutils from
    setuptools for Python that runs in the mgr daemon (LP: #2065867).

 -- James Page <james.page@ubuntu.com>  Thu, 23 May 2024 16:30:19 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu6) noble; urgency=medium

  * Drop dependency on python3-distutils again (it appears the change from
    19.2.0~git20240301.4c76c50-0ubuntu2 was accidentally dropped in 0ubuntu5).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 14:47:00 +1200

ceph (19.2.0~git20240301.4c76c50-0ubuntu5) noble; urgency=medium

  * Drop support for anything other than 64 bit architectures (LP: #2061815):
    - d/control: Add BD on architecture-is-64-bit.
    - d/control: Remove direct references to 32 bit architectures and
      use linux-any where appropriate.
    - d/p/32bit-fixes.patch,debian-armel-armhf-buildflags.patch: Drop, no
      longer needed.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Apr 2024 05:28:54 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:27:39 +0000

ceph (19.2.0~git20240301.4c76c50-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:44:30 +0000

ceph (19.2.0~git20240301.4c76c50-0ubuntu2) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:41:46 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu1) noble; urgency=medium

  * d/rules: Add helper for generating snapshots.
  * New upstream snapshot for Ceph Squid.
  * d/rules: Re-enable SPDK support.
  * d/control: Bump versioned boost depends to >= 1.82.0.
  * d/p/py310-py-ssize-t-compat.patch: Drop, no longer used.
  * d/p/disable-crypto.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Mar 2024 11:03:31 +0000

ceph (19.2.0~git20240228.cb81931-0ubuntu1) noble; urgency=medium

  [ Luciano Lo Giudice ]
  * New snapshot in preparation for Ceph Squid release.
  * d/p/enable-python311.patch: Removed, no longer needed.
  * d/p/cmake-allow-empty-submodules.patch: Removed, no longer needed.
  * d/p/CVE-2023-43040.patch: Removed, included in snapshot.
  * d/p/32bit-fixes.patch: Refresh.
  * d/p/patch-out-exporter.patch: Refresh.
  * d/p/fix-mantic-misc.patch: Refresh.
  * d/p/bug1914584.patch: Refresh.
  * d/p/fix-fmt-check.patch: Fix CMake check for libfmt.
  * d/p/fix-cephadm-build.patch: Fix build and install for cephadm.
  * d/p/fix-qat-build.patch: Only build QAT libs on AMD64.
  * d/rules: Temporarily disable SPDK support.

  [ James Page ]
  * d/p/*: Refresh.
  * d/p/ppc64el-fix-linking.patch: Tweak linking to resolve build
    failure on ppc64el.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Thu, 29 Feb 2024 20:09:32 +0000

ceph (18.2.0-0ubuntu7) noble; urgency=medium

  * d/rules, d/patches: Use java_compat_level to set --release (LP: #2054332)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 19 Feb 2024 22:28:18 +0530

ceph (18.2.0-0ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: Improper bucket validation in POST requests
    - debian/patches/CVE-2023-43040.patch: rgw: Fix bucket validation
      against POST policies
    - CVE-2023-43040

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 24 Jan 2024 17:57:40 +0000

ceph (18.2.0-0ubuntu5) noble; urgency=medium

  * d/control: depend on resource-agents-common. The transitional
    resource-agents package has been removed.
  * d/p/cmake-allow-empty-submodules.patch: use quotes to allow empty
    submodules variable during the cmake build configuration. This is
    a FTBFS fix for noble.
  * d/control: switch to cython3-legacy. Thanks to Bas Couwenberg.
    (Closes: #1056793)
  * d/p/fix-boost-reef.patch: drop boost 1.74 changes.
  * d/p/fix-boost-1.82-build.patch: fix build for boost >= 1.82.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 19 Jan 2024 16:36:49 -0300

ceph (18.2.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:59:43 +0100

ceph (18.2.0-0ubuntu3) mantic; urgency=medium

  * d/control: Upgrade lua build dependency to 5.4

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 26 Sep 2023 11:00:39 -0700

ceph (18.2.0-0ubuntu2) mantic; urgency=medium

  * d/control,rules: Disable Jaeger support to avoid dependency on Thrift
    which is not in Ubuntu main. 
  * d/cephadm.postinst: Switch back to default location for system user
    cephadm and update all references to /home -> /var/lib.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Sep 2023 16:25:14 +0100

ceph (18.2.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2033428).
  * d/p/32bit-fixes.patch: Refresh.
  * d/p/bug1914584.patch: Refresh.
  * d/p/patch-out-exporter.patch: Refresh.
  * d/p/compress-common-depends.patch: Removed, no longer needed.
  * d/p/fix-boost-reef.patch: Fixes to build with Boost on Reef.
  * d/p/fix-mantic-misc.patch: Fix build on Mantic.
  * d/p/fix-kinetic-*: Removed, no longer needed.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Thu, 21 Sep 2023 09:47:04 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-ceph-common`.
